/**
 * More `useFoo` hooks not found in either React or https://usehooks-ts.com/
 */
/**
 * Like https://usehooks-ts.com/react-hook/use-interval but with OO API.
 *
 * The API allows the caller to start, stop, restart, or change the
 * callback or frequency at any time. The interval is automatically
 * destroyed when the owner component unmounts, regardless of its
 * state at that time.
 */
export declare function useInterval(): JavascriptTimerAPI;
/**
 * Like https://usehooks-ts.com/react-hook/use-timeout but with OO API.
 *
 * The API allows the caller to start, stop, restart, or change the
 * callback or delay at any time. The timeout is automatically
 * destroyed when the owner component unmounts, regardless of its
 * state at that time.
 */
export declare function useTimeout(): JavascriptTimerAPI;
interface JavascriptTimerAPI {
    start: (fn: () => void, millis: number) => void;
    stop: () => void;
}
export {};
